<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript DOM </title>
</head>

<body>
    <button onclick="toggleVisibility()">Prikaži/Sakrij</button>
    <div id="mojDiv">Ovo je skrivani sadržaj.</div>
    <p id="mojParagraf">Ovo je tekst.</p>

    <ul id="mojaLista">
        <li>Prvi element</li>
    </ul>
    <button onclick="dodajElement()">Dodaj element</button>


    <img id="mojaSlika" src="slike/slika1.jpg" onmouseover="promijeniSliku()" onmouseout="vratiSliku()">

    <form onsubmit="obradiFormu(); return false;">
        <input type="text" id="unos" placeholder="Unesite tekst">
        <input type="submit" value="Pošalji">
    </form>

    <script>
        document.getElementById("mojParagraf").style.color = "red";
        function toggleVisibility() {
            let elem = document.getElementById("mojDiv");
            if (elem.style.display === "none") {
                elem.style.display = "block";
            } else {
                elem.style.display = "none";
            }
        }
        function dodajElement() {
            let lista = document.getElementById("mojaLista");
            let noviElement = document.createElement("li");
            noviElement.textContent = "Novi element";
            lista.appendChild(noviElement);
        }

        function promijeniSliku() {
            document.getElementById("mojaSlika").src = "slike/slika2.jpg";
        }
        function vratiSliku() {
            document.getElementById("mojaSlika").src = "slike/slika1.jpg";
        }

        function obradiFormu() {
            let unos = document.getElementById("unos").value;
            console.log("Uneseni tekst: " + unos);
        }


    </script>
</body>

</html>